﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;

namespace DTcms.Web.Plugin.Job.BLL
{

    /// <summary>
    /// 招聘信息表
    /// </summary>
    public partial class job
    {
        private readonly DTcms.Model.siteconfig siteConfig = new DTcms.BLL.siteconfig().loadConfig(); //获得站点配置信息
        private readonly DAL.job dal;
        public job()
        {
            dal = new DAL.job(siteConfig.sysdatabaseprefix);
        }

        #region Method
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int id)
        {
            return dal.Exists(id);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(Model.job model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(Model.job model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 保存排序字段
        /// </summary>
        /// <param name="id">要保存的编号</param>
        /// <param name="strWhere">保存的条件</param>
        /// <returns></returns>
        public bool UpdateField(int id, string strValue)
        {
            return dal.UpdateField(id, strValue);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int id)
        {
            bool del = dal.Delete(id);
            if (del)
            {
                job_apply bll = new job_apply();
                bll.Deletes(id);
            }
            return del;
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public Model.job GetModel(int id)
        {

            return dal.GetModel(id);
        }

        /// <summary>
        /// 获得岗位名称
        /// </summary>
        /// <param name="id">岗位ID</param>
        /// <returns></returns>
        public string GetTitle(int id)
        {
            Model.job model = new Model.job();
            model = this.GetModel(id);
            return model.title;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<Model.job> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// DataTableToList
        /// </summary>
        public List<Model.job> DataTableToList(DataTable dt)
        {
            List<Model.job> modelList = new List<Model.job>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                Model.job model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }

        /// <summary>
        /// 获得查询分页数据
        /// </summary>
        public DataSet GetList(int pageSize, int pageIndex, string strWhere, string filedOrder, out int recordCount)
        {
            return dal.GetList(pageSize, pageIndex, strWhere, filedOrder, out recordCount);
        }
        #endregion
    }
}
