﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.OleDb;
using System.Linq;
using System.Text;
using DTcms.Common;
using DTcms.DBUtility;
using System.Data.SqlClient;

namespace DTcms.Web.Plugin.Job.DAL
{
    /// <summary>
    /// 数据访问类:job_apply
    /// </summary>
    public partial class job_apply
    {
        private string databaseprefix; //数据库表名前缀
        public job_apply(string _databaseprefix)
        {
            databaseprefix = _databaseprefix;
        }

        #region  BasicMethod
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int id)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) from " + databaseprefix + "job_apply");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = {
					new SqlParameter("@id", SqlDbType.Int,4)
			};
            parameters[0].Value = id;

            return DbHelperSQL.Exists(strSql.ToString(), parameters);
        }


        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(Model.job_apply model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into " + databaseprefix + "job_apply(");
            strSql.Append("job_id,title,sex,age,education,tel,email,address,add_time)");
            strSql.Append(" values (");
            strSql.Append("@job_id,@title,@sex,@age,@education,@tel,@email,@address,@add_time)");
            SqlParameter[] parameters = {
					new SqlParameter("@job_id", SqlDbType.Int,4),
					new SqlParameter("@title", SqlDbType.NVarChar,100),
					new SqlParameter("@sex", SqlDbType.NVarChar,10),
					new SqlParameter("@age", SqlDbType.Int,4),
					new SqlParameter("@education", SqlDbType.NVarChar,30),
					new SqlParameter("@tel", SqlDbType.NVarChar,30),
					new SqlParameter("@email", SqlDbType.NVarChar,30),
					new SqlParameter("@address", SqlDbType.NVarChar,100),
					new SqlParameter("@add_time", SqlDbType.DateTime)};
            parameters[0].Value = model.job_id;
            parameters[1].Value = model.title;
            parameters[2].Value = model.sex;
            parameters[3].Value = model.age;
            parameters[4].Value = model.education;
            parameters[5].Value = model.tel;
            parameters[6].Value = model.email;
            parameters[7].Value = model.address;
            parameters[8].Value = model.add_time;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            return rows;
        }
        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(Model.job_apply model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update " + databaseprefix + "job_apply set ");
            strSql.Append("job_id=@job_id,");
            strSql.Append("title=@title,");
            strSql.Append("sex=@sex,");
            strSql.Append("age=@age,");
            strSql.Append("education=@education,");
            strSql.Append("tel=@tel,");
            strSql.Append("email=@email,");
            strSql.Append("address=@address,");
            strSql.Append("add_time=@add_time");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = {
					new SqlParameter("@job_id", SqlDbType.Int,4),
					new SqlParameter("@title", SqlDbType.NVarChar,100),
					new SqlParameter("@sex", SqlDbType.NVarChar,10),
					new SqlParameter("@age", SqlDbType.Int,4),
					new SqlParameter("@education", SqlDbType.NVarChar,30),
					new SqlParameter("@tel", SqlDbType.NVarChar,30),
					new SqlParameter("@email", SqlDbType.NVarChar,30),
					new SqlParameter("@address", SqlDbType.NVarChar,100),
					new SqlParameter("@add_time", SqlDbType.DateTime),
					new SqlParameter("@id", SqlDbType.Int,4)};
            parameters[0].Value = model.job_id;
            parameters[1].Value = model.title;
            parameters[2].Value = model.sex;
            parameters[3].Value = model.age;
            parameters[4].Value = model.education;
            parameters[5].Value = model.tel;
            parameters[6].Value = model.email;
            parameters[7].Value = model.address;
            parameters[8].Value = model.add_time;
            parameters[9].Value = model.id;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int id)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from " + databaseprefix + "job_apply ");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = {
					new SqlParameter("@id", SqlDbType.Int,4)
			};
            parameters[0].Value = id;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        /// <summary>
        /// 根据职位id批量删除数据
        /// </summary>
        /// <param name="jobId"></param>
        /// <returns></returns>
        public bool Deletes(int jobId)
        {
            string strSql = "delete from " + databaseprefix + "job_apply where job_id=@job_id ";
            SqlParameter[] parameters = { new SqlParameter("@job_id", SqlDbType.Int, 4) };
            parameters[0].Value = jobId;
            int rows = DbHelperSQL.ExecuteSql(strSql, parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public Model.job_apply GetModel(int id)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("select id,job_id,title,sex,age,education,tel,email,address,add_time from " + databaseprefix + "job_apply ");
            strSql.Append(" where id=@id");
            SqlParameter[] parameters = {
					new SqlParameter("@id", SqlDbType.Int,4)
			};
            parameters[0].Value = id;

            Model.job_apply model = new Model.job_apply();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                return DataRowToModel(ds.Tables[0].Rows[0]);
            }
            else
            {
                return null;
            }
        }


        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public Model.job_apply DataRowToModel(DataRow row)
        {
            Model.job_apply model = new Model.job_apply();
            if (row != null)
            {
                if (row["id"] != null && row["id"].ToString() != "")
                {
                    model.id = int.Parse(row["id"].ToString());
                }
                if (row["job_id"] != null && row["job_id"].ToString() != "")
                {
                    model.job_id = int.Parse(row["job_id"].ToString());
                }
                if (row["title"] != null)
                {
                    model.title = row["title"].ToString();
                }
                if (row["sex"] != null)
                {
                    model.sex = row["sex"].ToString();
                }
                if (row["age"] != null && row["age"].ToString() != "")
                {
                    model.age = int.Parse(row["age"].ToString());
                }
                if (row["education"] != null)
                {
                    model.education = row["education"].ToString();
                }
                if (row["tel"] != null)
                {
                    model.tel = row["tel"].ToString();
                }
                if (row["email"] != null)
                {
                    model.email = row["email"].ToString();
                }
                if (row["address"] != null)
                {
                    model.address = row["address"].ToString();
                }
                if (row["add_time"] != null && row["add_time"].ToString() != "")
                {
                    model.add_time = DateTime.Parse(row["add_time"].ToString());
                }
            }
            return model;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select id,job_id,title,sex,age,education,tel,email,address,add_time ");
            strSql.Append(" FROM " + databaseprefix + "job_apply ");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select ");
            if (Top > 0)
            {
                strSql.Append(" top " + Top.ToString());
            }
            strSql.Append(" id,job_id,title,sex,age,education,tel,email,address,add_time ");
            strSql.Append(" FROM " + databaseprefix + "job_apply ");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            strSql.Append(" order by " + filedOrder);
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获得查询分页数据
        /// </summary>
        public DataSet GetList(int pageSize, int pageIndex, string strWhere, string filedOrder, out int recordCount)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select * FROM " + databaseprefix + "job_apply");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            recordCount = Convert.ToInt32(DbHelperSQL.GetSingle(PagingHelper.CreateCountingSql(strSql.ToString())));
            return DbHelperSQL.Query(PagingHelper.CreatePagingSql(recordCount, pageSize, pageIndex, strSql.ToString(), filedOrder));
        }
        #endregion  BasicMethod
    }
}
