﻿using System;
using System.IO;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Web;
using System.Web.SessionState;
using DTcms.Web.UI;
using DTcms.Common;

namespace DTcms.Web.Plugin.Job
{
    /// <summary>
    /// 管理后台AJAX处理页
    /// </summary>
    public class ajax : IHttpHandler, IRequiresSessionState
    {

        public void ProcessRequest(HttpContext context)
        {
            //取得处事类型
            string action = DTRequest.GetQueryString("action");

            switch (action)
            {
                case "add": //提交简历
                    feedback_add(context);
                    break;
            }

        }

        #region 发布留言================================
        private void feedback_add(HttpContext context)
        {
            StringBuilder strTxt = new StringBuilder();
            BLL.job_apply bll = new BLL.job_apply();
            Model.job_apply model = new Model.job_apply();

            string _code = DTRequest.GetFormString("txtCode");
            string _job_id = DTRequest.GetFormString("job_id");
            string _title = DTRequest.GetFormString("txtTitle");
            string _sex = DTRequest.GetFormString("rdioSex");
            string _age = DTRequest.GetFormString("txtAge");
            string _education = DTRequest.GetFormString("txtEducation");
            string _tel = DTRequest.GetFormString("txtTel");
            string _email = DTRequest.GetFormString("txtEmail");
            string _addresss = DTRequest.GetFormString("txtAddress");
            //校检验证码
            if (string.IsNullOrEmpty(_code))
            {
                context.Response.Write("{\"status\":0, \"msg\":\"对不起，请输入验证码！\"}");
                return;
            }
            if (context.Session[DTKeys.SESSION_CODE] == null)
            {
                context.Response.Write("{\"status\":0, \"msg\":\"对不起，验证码已过期！\"}");
                return;
            }
            if (_code.ToLower() != (context.Session[DTKeys.SESSION_CODE].ToString()).ToLower())
            {
                context.Response.Write("{\"status\":0, \"msg\":\"验证码与系统的不一致！\"}");
                return;
            }
            if (string.IsNullOrEmpty(_addresss))
            {
                context.Response.Write("{\"status\": 0, \"msg\": \"对不起，请输入现居住地址，方便我们第一时间通知您面试！\"}");
                return;
            }

            model.title = Utils.DropHTML(_title);
            model.job_id = Convert.ToInt32(Utils.ToHtml(_job_id));
            model.address = Utils.DropHTML(_addresss);
            model.age =Convert.ToInt32(Utils.DropHTML(_age)) ;
            model.education = Utils.DropHTML(_education);
            model.email = Utils.DropHTML(_email);
            model.add_time = DateTime.Now;
            model.sex = Utils.DropHTML(_sex);
            model.tel = Utils.DropHTML(_tel);
            if (bll.Add(model) > 0)
            {
                context.Response.Write("{\"status\": 1, \"msg\": \"恭喜您，简历提交成功！\"}");
                return;
            }
            context.Response.Write("{\"status\": 0, \"msg\": \"对不起，保存过程中发生错误！\"}");
            return;
        }
        #endregion

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}