﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using DTcms.Common;

namespace DTcms.Web.Plugin.Job
{
    public partial class job : Web.UI.BasePage
    {
        protected int page; //当前页码
        protected int totalcount; //OUT数据总数
        /// <summary>
        /// 重写虚方法,此方法将在Init事件前执行
        /// </summary>
        protected override void ShowPage()
        {
            page = DTRequest.GetQueryInt("page", 1);
        }

        /// <summary>
        /// 岗位列表
        /// </summary>
        /// <param name="top">显示条数</param>
        /// <param name="strwhere">查询条件</param>
        /// <param name="filedOrder">排序字段</param>
        /// <returns>DataTable</returns>
        public DataTable get_job_top_list(int top, string strwhere, string filedOrder)
        {
            DataTable dt = new DataTable();
            string _where = "is_lock=0";
            if (!string.IsNullOrEmpty(strwhere))
            {
                _where += " and " + strwhere;
            }
            dt = new BLL.job().GetList(top, _where, filedOrder).Tables[0];
            return dt;
        }

        /// <summary>
        /// 岗位分页列表
        /// </summary>
        /// <param name="page_size">页面大小</param>
        /// <param name="page_index">当前页码</param>
        /// <param name="strwhere">查询条件</param>
        /// <param name="totalcount">总记录数</param>
        /// <returns>DateTable</returns>
        public DataTable get_job_list(int page_size, int page_index, string strwhere, out int totalcount)
        {
            DataTable dt = new DataTable();
            string _where = "is_lock=0";
            if (!string.IsNullOrEmpty(strwhere))
            {
                _where += " and " + strwhere;
            }
            dt = new BLL.job().GetList(page_size, page_index, _where, "add_time desc", out totalcount).Tables[0];
            return dt;
        }
    }
}
